//
// Fast local memory for the internal CPU.
// This should be parameterized (again)...
//

module fast_mem
   (
    input 	  rst_n,
    input 	  clk,
    input 	  write,
    input 	  read,
    input [3:0]   wstrb,
    input [12:0]  addr,
    input [31:0]  wdata,
    output [31:0] rdata
    );

   fastmem_ip ip (
		  .aclr ( ~rst_n ),
		  .address ( addr ),
		  .byteena ( wstrb ),
		  .clock ( clk ),
		  .data ( wdata ),
		  .rden ( read ),
		  .wren ( write ),
		  .q ( rdata )
		  );
endmodule // fast_mem
